| Home | Libraries | People | FAQ | More

#### reversible_view

View on a range, reversing direction if necessary.

###### Synopsis

    template<typename Range, iterate_direction Direction>
    struct reversible_view
    {
      // ...
    };

###### Template parameter(s)

Parameter | Description
--- | ---
typename Range | original range
iterate_direction Direction | direction of iteration

###### Header

Either

`#include <boost/geometry.hpp>`

Or

`#include <boost/geometry/views/reversible_view.hpp>`